# SDV Community

**SDV Community** is our publicly available synthetic data product. Use SDV Community to get started with exploring the benefits of synthetic data.

## Access the powerful SDV platform

SDV Community uses features throughout SDV platform ecosystem. The platform includes a suite of libraries and features that work together to form a one-stop shop for your synthetic data needs. You can also browse and use the platform features in a standalone way.

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><a href="https://docs.sdv.dev/rdt"><strong>RDT</strong></a></td><td>Preprocess and anonymize your data using reversible data transformers.</td><td><a href="https://docs.sdv.dev/rdt">https://docs.sdv.dev/rdt</a></td></tr><tr><td><a href="https://docs.sdv.dev/sdmetrics"><strong>SDMetrics</strong></a></td><td>Evaluate synthetic data for quality and privacy. Visualize &#x26; share results.</td><td><a href="https://docs.sdv.dev/sdmetrics">https://docs.sdv.dev/sdmetrics</a></td></tr><tr><td><a href="https://docs.sdv.dev/sdgym"><strong>SDGym</strong></a></td><td>Benchmark synthetic data generators across SDV and other libraries.</td><td><a href="https://docs.sdv.dev/sdgym">https://docs.sdv.dev/sdgym</a></td></tr></tbody></table>

## Installation

SDV Community is available as a Python SDK that you can install and use on-prem. It is distributed under the [Business Source License](https://github.com/sdv-dev/SDV/blob/main/LICENSE), and has been developed on Python [3.9-3.14](https://www.python.org/). As with most Python libraries, we recommend using a virtual environment (such as [virtualenv](https://virtualenv.pypa.io/en/latest/)) to avoid conflicts with other software on your device.

We recommend downloading SDV Community using [pip](https://pypi.org/project/sdv/) (or alternatively [conda](https://anaconda.org/conda-forge/sdv)).

```bash
pip install sdv
```

Then, open up Python and verify that SDV has installed correctly.

```python
import sdv
print(sdv.version.community)
```

For more information about the latest version of SDV Community, see the [Release Notes](https://github.com/sdv-dev/SDV/releases).

{% hint style="info" %}
**Having trouble?** Visit our [**troubleshooting section**](/sdv/support/troubleshooting/installation.md) to diagnose any issues. You can also ask a question on our [forum](https://forum.datacebo.com/).
{% endhint %}

## What's next?

Once you've installed SDV, you're ready to create synthetic data.

```python
import pandas as pd
from sdv.single_table import GaussianCopulaSynthesizer
from sdv.metadata import Metadata

data = pd.read_csv('my_data_file.csv')
metadata = Metadata.detect_from_dataframe(data)

synthesizer = GaussianCopulaSynthesizer(metadata)
synthesizer.fit(data)
synthetic_data = synthesizer.sample(num_rows=1000)
```

**First time here?** Check out our [**Tutorials**](/sdv/tutorials.md) to explore the features. The tutorials will walk you through creating synthetic data for single table, multi-table, and sequential data.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sdv.dev/sdv/explore/sdv-community.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
